package org.ginkgo.gcov.builder;


import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IMarker;
import org.eclipse.core.resources.IProjectNature;
import org.eclipse.core.resources.IResource;
import org.ginkgo.gcov.parser.IParser;
import org.ginkgo.gcov.parser.LineCoverageParser;
import org.ginkgo.gcov.parser.CoverageSummaryParser;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

public class CoverageSummaryBuilder extends Builder{
	private IParser gcovParser;
	public static final String BUILDER_ID = "org.ginkgo.gcov.sampleBuilder";
	
	public void checkXML(IResource resource) {
		if (resource instanceof IFile && resource.getName().endsWith(".gcda")) {
			IFile file = (IFile) resource;
			LineCoverageParser.deleteMarkers(file);
//			XMLErrorHandler reporter = new XMLErrorHandler(file);
			try {
				getParser().parse(file);
			} catch (Exception e1) {
			}
		}
	}
	IParser getParser() throws ParserConfigurationException,
	SAXException {
	if (gcovParser == null){
		gcovParser = new CoverageSummaryParser(); 
	}
	return gcovParser;
	}
	
}
